Status: Closed Start date: 04 Nov 2020

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: enhancing/improving Estimated time: 2.22 hours

Target version: CoCoA-5.4.0 Spent time: 2.25 hours

Description

The order of the fields printed by VersionInfo is alphabetical.  This means that some pieces of info are ordered strangely.

For example, I find it strange that BoostVersion should be the first piece of info printed out.

Can we pick better names?

History

#1 - 04 Nov 2020 12:30 - John Abbott

I would like VersionInfo to tell me also how many bits are in SmallExponent_t (since this does seem to affect execution time significantly).

It would make sense for this information to appear next to the number of bits in machine int and long; so the field names must be chosen to be

alphabetically close.

PS relevant source is BuiltInFunctions.C around line 625

#2 - 10 Nov 2020 13:58 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

I suggest for the "Num bits" fields to the names  NumBits_MachineInt, NumBits_MachineLong and NumBits_SmallExponent_t (or 

NumBits_Exponent?)

Not sure what to suggest for BOOST; I would like it to be near the info about external libs used in CoCoALib...

I had hoped to convert the compilation dare into ISO format (YYYY-MM-DD), but that looks to be tedious :-(

#3 - 13 Nov 2020 14:34 - Anna Maria Bigatti

- Assignee set to John Abbott

and add Boost into the ExternalLibs record

#4 - 13 Nov 2020 16:00 - John Abbott

- Assignee deleted (John Abbott)

Anna will do the following

(1) move the info about BOOST into the subrecord ExternalLibs (i.e. added to the list of ext libs from CoCoALib)

(2) rename the "numbits" fields to NumBits_int, NumBits_long and NumBits_exponent  (or NumBits_SmallExponent?)

See comment 1 for pointer to relevant source code.
#5 - 20 Nov 2020 08:56 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- % Done changed from 10 to 80

Done.

I added "Boost" only in BuiltinFunctions.C.

I have also the code for adding it in ExternalLibs.C (commented out), but I believe John does not want it there, because not used within CoCoALib

itself.

...

  ExternalLibs := [

    record[name := "Boost", version := "107300"],

    record[name := "GMP", version := "60200"],

    record[name := "Frobby", version := "UNKNOWN (0.9.4?)"],

    record[name := "Gfan", version := "UNKNOWN"],

    record[name := "CDD", version := "UNKNOWN"],

    record[name := "MathSAT", version := "MathSAT5 version 5.5.1 (5a0ab3b56ce0) (Dec 11 2017 10:57:23, gmp 5.1

.3, clang/LLVM 6.0, 64-bit)"]

  ],

  NumBits_SmallExponent_t := 32,

  NumBits_int := 32,

  NumBits_long := 64

]

#6 - 08 Jan 2021 11:24 - John Abbott

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

- Estimated time set to 2.22 h
